# NicoCache_nl 設定ファイル(文字コード判定用なのでこの行は削除しないこと)

# TLSへのMitM処理を有効にするか [S]
#   有効にするとmitmHostPortRegexにマッチした処理対象のホストとのHTTPS通信を
#   NicoCache_nl内で一旦終端して，書き換えなどの処理を行ったうえで，
#   certs/site.cerの証明書でHTTPSに戻してブラウザに送り出します．
enableMitm=false

# TLSへのMitMを有効にする対象ホストとポート
#   対象のドメインを増やした場合には証明書を作りなおす必要があります．
#   (証明書を再生成した後は要再起動)
#   See genCerts.sh (genCerts.bat)
mitmHostPortRegex=[^.]+\\.((ce\\.)?nicovideo\\.jp|smilevideo\\.jp|nimg\\.jp):443|[^.]+\\.dmc\\.nico:\\d+

